# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.ldap.ExecutableSearchFilter

Packages that use ExecutableSearchFilter
Package
Description
net.shibboleth.idp.attribute.resolver.dc.ldap
Package for LDAP data connector configuration.
net.shibboleth.idp.attribute.resolver.dc.ldap.impl
A `DataConnector` implementation that reads data from an LDAP.

## Uses of ExecutableSearchFilter in net.shibboleth.idp.attribute.resolver.dc.ldap

Methods in net.shibboleth.idp.attribute.resolver.dc.ldap that return ExecutableSearchFilter
Modifier and Type
Method
Description
`protected ExecutableSearchFilter`
AbstractExecutableSearchFilterBuilder.`build(FilterTemplate searchFilter)`
Creates an executable search filter that performs a search with the search filter.
`ExecutableSearchFilter`
ParameterizedExecutableSearchFilterBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
`ExecutableSearchFilter`
TemplatedExecutableSearchFilterBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.

## Uses of ExecutableSearchFilter in net.shibboleth.idp.attribute.resolver.dc.ldap.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.ldap.impl with parameters of type ExecutableSearchFilter
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
LDAPDataConnector.`retrieveAttributes(ExecutableSearchFilter filter)`
Attempts to retrieve attributes from the LDAP.